---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/GUI/ControlsPanel/Anim/Hint/"
---------------------------------------------------------------------------------------
createGlintAnimation = function()
	local compositionspark = CreateCompositionSequence()
	local compositionDuration = 4.25
	compositionspark:setDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."spark.png")
	element:setName("Layer_1")
	compositionspark:addElement(element)
	element:setHotSpot(41, 41)
	element:setParentElement(compositionspark)
	-- element:setXY(77, 40)
 
 	-- HERE!
	-- element:setScaleX(2.63)
	-- element:setScaleY(2.63)
		local anim = element
		anim:setAnimationSize(82,82)
		anim:setFramesCount(24)
		anim:setFPS(24)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0.125, 3 + 1.125)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1, 1)
	effector:setKey(_TRACK_O, 1.1, 0)
	effector:play()
 
 
	-- Layer Layer_2
	-- element = CreateCompositionElement(PREFIX_PATH.."spark.png")
	-- element:setName("Layer_2")
	-- compositionspark:addElement(element)
	-- element:setHotSpot(41, 41)
	-- element:setParentElement(compositionspark)
	-- element:setXY(77, 77)
	-- 	local anim = element
	-- 	anim:setAnimationSize(82,82)
	-- 	anim:setFramesCount(24)
	-- 	anim:setFPS(24)
	-- 	anim:setMode(_ANIM_FWD + _ANIM_LOOP)
	-- 	anim:play()
 
 
	-- effector = element:getEffector()
	-- effector:setLifeTime(0.125, 3 + 1.125)
	-- effector:setKey(_TRACK_O, 0, 1)
	-- effector:setKey(_TRACK_O, 1, 1)
	-- effector:setKey(_TRACK_O, 1.1, 0)
	-- effector:play()
 
	compositionspark:play()
 
	return compositionspark
end
